//末影龙
EntityEvents.spawned("minecraft:ender_dragon", event => {
    const entity = event.entity
    entity.setMaxHealth(600)
    entity.setHealth(9999)
})
EntityEvents.hurt("minecraft:ender_dragon", event => {
    let uuid = event.entity.uuid;
    let type = 'minecraft:phantom';
    if (event.entity.health < 400 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: -10, y: 0, z: -5 }, { x: -5, y: 0, z: -5 }, { x: 0, y: 0, z: -5 }, { x: 5, y: 0, z: -5 }, { x: 10, y: 0, z: -5 },
            { x: -10, y: 0, z: -10 }, { x: -5, y: 0, z: -10 }, { x: 0, y: 0, z: -10 }, { x: 5, y: 0, z: -10 }, { x: 10, y: 0, z: -10 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon ${type} ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.server.runCommandSilent(`execute at ${uuid} as @e[type=${type},distance=..15] run data merge entity @s {CustomName:'"龙翼"'}`);
        event.entity.addTag('snk_blood_1');
    }
    if (event.entity.health < 200 && !event.entity.tags.contains("snk_blood_2")) {
        let positions = [
            { x: -10, y: 0, z: -5 }, { x: -5, y: 0, z: -5 }, { x: 0, y: 0, z: -5 }, { x: 5, y: 0, z: -5 }, { x: 10, y: 0, z: -5 },
            { x: -10, y: 0, z: -10 }, { x: -5, y: 0, z: -10 }, { x: 0, y: 0, z: -10 }, { x: 5, y: 0, z: -10 }, { x: 10, y: 0, z: -10 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon ${type} ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.server.runCommandSilent(`execute at ${uuid} as @e[type=${type},distance=..15] run data merge entity @s {CustomName:'"龙翼"'}`);
        event.entity.addTag('snk_blood_2');
    }
});
//凋灵
EntityEvents.spawned("minecraft:wither", event => {
    const entity = event.entity
    entity.setMaxHealth(2800)
    entity.setHealth(9999)
    let level = event.entity.level.dimension.path
    let x = event.entity.block.x
    let y = event.entity.block.y
    let z = event.entity.block.z
    event.server.runCommandSilent(`execute in ${level} run place template snk:spherical_excavation ${x - 5} ${y} ${z - 5}`);
});
EntityEvents.hurt("minecraft:wither", event => {
    let uuid = event.entity.uuid;
    let type = 'minecraft:wither_skeleton';
    if (event.entity.health < 2200 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: 5, y: 1, z: 0 }, { x: -5, y: 1, z: 0 }, { x: 0, y: 1, z: 5 }, { x: 0, y: 1, z: -5 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon ${type} ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_1');
    }
    if (event.entity.health < 1200 && !event.entity.tags.contains("snk_blood_2")) {
        let positions = [
            { x: 5, y: 5, z: 0 }, { x: -5, y: 5, z: 0 }, { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 },
            { x: 5, y: 5, z: 5 }, { x: -5, y: 5, z: -5 }, { x: 5, y: 5, z: -5 }, { x: -5, y: 5, z: 5 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon ${type} ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_2');
    }
    if (event.entity.health < 500 && !event.entity.tags.contains("snk_blood_3")) {
        let positions = [
            { x: 5, y: 5, z: 0 }, { x: -5, y: 5, z: 0 }, { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 },
            { x: 5, y: 5, z: 5 }, { x: -5, y: 5, z: -5 }, { x: 5, y: 5, z: -5 }, { x: -5, y: 5, z: 5 },
            { x: 10, y: 5, z: 0 }, { x: -10, y: 5, z: 0 }, { x: 0, y: 5, z: 10 }, { x: 0, y: 5, z: -10 },
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon ${type} ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_3');
    }
});
//科妮莉亚船长
EntityEvents.spawned("aquamirae:captain_cornelia", event => {
    const entity = event.entity
    entity.setMaxHealth(2600)
    entity.setHealth(9999)
    let level = event.entity.level.dimension.path
    let px = event.entity.block.x
    let py = event.entity.block.y
    let pz = event.entity.block.z
    let positions = [
        { x: px + 10, y: py + 5, z: pz }, { x: px - 10, y: py + 5, z: pz }, { x: px, y: py + 5, z: pz + 10 }, { x: px, y: py + 5, z: pz - 10 }
    ];
    let type = 'minecraft:drowned';
    positions.forEach(pos => {
        event.server.runCommandSilent(`execute in ${level} run summon ${type} ${pos.x} ${pos.y} ${pos.z}`);
    });
    event.server.runCommandSilent(`execute in ${level} as @e[x=${px},y=${py},z=${pz},type=${type},distance=..15] run data merge entity @s {CustomName:'"溺毙的船员"',HandItems:[{id:"aquamirae:remnants_saber",Count:1b},{id:"aquamirae:remnants_saber",Count:1b}],ArmorItems:[{id:"aquamirae:three_bolt_helmet",Count:1b},{id:"aquamirae:three_bolt_suit",Count:1b},{id:"aquamirae:three_bolt_leggings",Count:1b},{id:"aquamirae:three_bolt_boots",Count:1b}]}`);
    event.server.runCommandSilent(`execute in ${level} run place template snk:spherical_excavation ${px - 5} ${py + 6} ${pz - 5}`);
});
EntityEvents.hurt("aquamirae:captain_cornelia", event => {
    let uuid = event.entity.uuid;
    let type = 'minecraft:drowned';
    if (event.entity.health < 2200 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: 10, y: 5, z: 0 }, { x: -10, y: 5, z: 0 }, { x: 0, y: 5, z: 10 }, { x: 0, y: 5, z: -10 },
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon ${type} ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.server.runCommandSilent(`execute at ${uuid} as @e[type=${type},distance=..15] run data merge entity @s {CustomName:'"溺毙的船员"',HandItems:[{id:"minecraft:trident",Count:1b},{id:"shieldexex:diamond_shield",Count:1b}],ArmorItems:[{id:"aquamirae:three_bolt_helmet",Count:1b},{id:"aquamirae:three_bolt_suit",Count:1b},{id:"aquamirae:three_bolt_leggings",Count:1b},{id:"aquamirae:three_bolt_boots",Count:1b}]}`);
        event.entity.addTag('snk_blood_1');
    }
    if (event.entity.health < 1800 && !event.entity.tags.contains("snk_blood_2")) {
        let positions = [
            { x: 10, y: 5, z: 0 }, { x: -10, y: 5, z: 0 }, { x: 0, y: 5, z: 10 }, { x: 0, y: 5, z: -10 },
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon ${type} ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.server.runCommandSilent(`execute at ${uuid} as @e[type=${type},distance=..15] run data merge entity @s {CustomName:'"溺毙的船员"',HandItems:[{id:"aquamirae:remnants_saber",Count:1b},{id:"aquamirae:remnants_saber",Count:1b}],ArmorItems:[{id:"aquamirae:three_bolt_helmet",Count:1b},{id:"aquamirae:three_bolt_suit",Count:1b},{id:"aquamirae:three_bolt_leggings",Count:1b},{id:"aquamirae:three_bolt_boots",Count:1b}]}`);
        event.entity.addTag('snk_blood_2');
    }
    if (event.entity.health < 1400 && !event.entity.tags.contains("snk_blood_3")) {
        let positions = [
            { x: 10, y: 5, z: 0 }, { x: -10, y: 5, z: 0 }, { x: 0, y: 5, z: 10 }, { x: 0, y: 5, z: -10 },
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon ${type} ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.server.runCommandSilent(`execute at ${uuid} as @e[type=${type},distance=..15] run data merge entity @s {CustomName:'"溺毙的船员"',HandItems:[{id:"minecraft:trident",Count:1b},{id:"shieldexex:diamond_shield",Count:1b}],ArmorItems:[{id:"aquamirae:three_bolt_helmet",Count:1b},{id:"aquamirae:three_bolt_suit",Count:1b},{id:"aquamirae:three_bolt_leggings",Count:1b},{id:"aquamirae:three_bolt_boots",Count:1b}]}`);
        event.entity.addTag('snk_blood_3');
    }
});
//焰魔
EntityEvents.spawned("cataclysm:ignis", event => {
    const entity = event.entity
    entity.setMaxHealth(6000)
    entity.setHealth(9999)
    let level = event.entity.level.dimension.path
    let px = event.entity.block.x
    let py = event.entity.block.y
    let pz = event.entity.block.z
    let positions = [
        { x: px + 15, y: py + 1, z: pz }, { x: px - 15, y: py + 1, z: pz }, { x: px, y: py + 1, z: pz + 15 }, { x: px, y: py + 1, z: pz - 15 },
        { x: px + 15, y: py + 1, z: pz + 15 }, { x: px - 15, y: py + 1, z: pz - 15 }, { x: px - 15, y: py + 1, z: pz + 15 }, { x: px + 15, y: py + 1, z: pz - 15 }
    ];
    let type = 'minecraft:blaze';
    positions.forEach(pos => {
        event.server.runCommandSilent(`execute in ${level} run summon ${type} ${pos.x} ${pos.y} ${pos.z}`);
    });
    event.server.runCommandSilent(`execute in ${level} run place template snk:spherical_excavation ${px - 5} ${py} ${pz - 5}`);
});
EntityEvents.hurt("cataclysm:ignis", event => {
    let uuid = event.entity.uuid;
    if (event.entity.health < 5000 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 }
        ];
        let positions2 = [
            { x: 15, y: 5, z: 15 }, { x: -15, y: 5, z: -15 }, { x: 15, y: 5, z: -15 }, { x: -15, y: 5, z: 15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:ignited_revenant ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon minecraft:blaze ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_1');
    }
    if (event.entity.health < 3800 && !event.entity.tags.contains("snk_blood_2")) {
        let positions = [
            { x: 5, y: 5, z: 0 }, { x: -5, y: 5, z: 0 }
        ];
        let positions2 = [
            { x: 15, y: 5, z: 0 }, { x: -15, y: 5, z: 0 }, { x: 0, y: 5, z: 15 }, { x: 0, y: 5, z: -15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:ignited_berserker ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon minecraft:blaze ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_2');
    }
    if (event.entity.health < 1800 && !event.entity.tags.contains("snk_blood_3")) {
        let positions = [
            { x: 5, y: 5, z: 0 }, { x: -5, y: 5, z: 0 }, { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 },
        ];
        let positions2 = [
            { x: 15, y: 5, z: 0 }, { x: -15, y: 5, z: 0 }, { x: 0, y: 5, z: 15 }, { x: 0, y: 5, z: -15 },
            { x: 15, y: 5, z: 15 }, { x: -15, y: 5, z: -15 }, { x: 15, y: 5, z: -15 }, { x: -15, y: 5, z: 15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:ignited_berserker ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon minecraft:blaze ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_3');
    }
});
//灾厄诅咒
EntityEvents.spawned("cataclysm:maledictus", event => {
    const entity = event.entity
    entity.setMaxHealth(3000)
    entity.setHealth(9999)
});
//它的召唤物实际上和它敌对，因此召唤距离更远。但是boss挨打会充能
EntityEvents.hurt("cataclysm:maledictus", event => {
    let uuid = event.entity.uuid;
    if (event.entity.health < 2500 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: 15, y: 5, z: 15 }, { x: -15, y: 5, z: -15 }, { x: 15, y: 5, z: -15 }, { x: -15, y: 5, z: 15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:draugr ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_1');
    }
    if (event.entity.health < 1800 && !event.entity.tags.contains("snk_blood_2")) {
        let positions = [
            { x: 13, y: 5, z: 0 }, { x: -13, y: 5, z: 0 }
        ];
        let positions2 = [
            { x: 15, y: 5, z: 0 }, { x: -15, y: 5, z: 0 }, { x: 0, y: 5, z: 15 }, { x: 0, y: 5, z: -15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:royal_draugr ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:elite_draugr ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_2');
    }
    if (event.entity.health < 1400 && !event.entity.tags.contains("snk_blood_3")) {
        let positions = [
            { x: 15, y: 5, z: 0 }, { x: -15, y: 5, z: 0 }, { x: 0, y: 5, z: 15 }, { x: 0, y: 5, z: -15 },
            { x: 15, y: 5, z: 15 }, { x: -15, y: 5, z: -15 }, { x: 15, y: 5, z: -15 }, { x: -15, y: 5, z: 15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:elite_draugr ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_3');
    }
});
//无名守卫者
EntityEvents.spawned("eeeabsmobs:nameless_guardian", event => {
    const entity = event.entity
    entity.setMaxHealth(4500)
    entity.setHealth(9999)
    let level = event.entity.level.dimension.path
    let px = event.entity.block.x
    let py = event.entity.block.y
    let pz = event.entity.block.z
    let positions = [
        { x: px + 15, y: py + 1, z: pz }, { x: px - 15, y: py + 1, z: pz }, { x: px, y: py + 1, z: pz + 15 }, { x: px, y: py + 1, z: pz - 15 },
        { x: px + 15, y: py + 1, z: pz + 15 }, { x: px - 15, y: py + 1, z: pz - 15 }, { x: px - 15, y: py + 1, z: pz + 15 }, { x: px + 15, y: py + 1, z: pz - 15 }
    ];
    let type = 'eeeabsmobs:guling_sentinel';
    positions.forEach(pos => {
        event.server.runCommandSilent(`execute in ${level} run summon ${type} ${pos.x} ${pos.y} ${pos.z}`);
    });
});
EntityEvents.hurt("eeeabsmobs:nameless_guardian", event => {
    let uuid = event.entity.uuid;
    if (event.entity.health < 3500 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 }
        ];
        let positions2 = [
            { x: 15, y: 5, z: 15 }, { x: -15, y: 5, z: -15 }, { x: 15, y: 5, z: -15 }, { x: -15, y: 5, z: 15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon eeeabsmobs:guling_sentinel_heavy ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon eeeabsmobs:guling_sentinel ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_1');
    }
    if (event.entity.health < 2500 && !event.entity.tags.contains("snk_blood_2")) {
        let positions = [
            { x: 5, y: 5, z: 0 }, { x: -5, y: 5, z: 0 }
        ];
        let positions2 = [
            { x: 15, y: 5, z: 0 }, { x: -15, y: 5, z: 0 }, { x: 0, y: 5, z: 15 }, { x: 0, y: 5, z: -15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon eeeabsmobs:guling_sentinel_heavy ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon eeeabsmobs:guling_sentinel ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_2');
    }
    if (event.entity.health < 1500 && !event.entity.tags.contains("snk_blood_3")) {
        let positions = [
            { x: 5, y: 5, z: 0 }, { x: -5, y: 5, z: 0 }, { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 },
        ];
        let positions2 = [
            { x: 15, y: 5, z: 0 }, { x: -15, y: 5, z: 0 }, { x: 0, y: 5, z: 15 }, { x: 0, y: 5, z: -15 },
            { x: 15, y: 5, z: 15 }, { x: -15, y: 5, z: -15 }, { x: 15, y: 5, z: -15 }, { x: -15, y: 5, z: 15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon eeeabsmobs:guling_sentinel_heavy ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon eeeabsmobs:guling_sentinel ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_3');
    }
});
//远古遗魂
EntityEvents.spawned("cataclysm:ancient_remnant", event => {
    const entity = event.entity
    entity.setMaxHealth(6000)
    entity.setHealth(9999)
});
EntityEvents.hurt("cataclysm:ancient_remnant", event => {
    let uuid = event.entity.uuid;
    if (event.entity.health < 5000 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 }
        ];
        let positions2 = [
            { x: 15, y: 5, z: 15 }, { x: -15, y: 5, z: -15 }, { x: 15, y: 5, z: -15 }, { x: -15, y: 5, z: 15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:wadjet ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:koboleton ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_1');
    }
    if (event.entity.health < 2800 && !event.entity.tags.contains("snk_blood_2")) {
        let positions = [
            { x: 5, y: 5, z: 0 }, { x: -5, y: 5, z: 0 }
        ];
        let positions2 = [
            { x: 15, y: 5, z: 0 }, { x: -15, y: 5, z: 0 }, { x: 0, y: 5, z: 15 }, { x: 0, y: 5, z: -15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:kobolediator ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:koboleton ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_2');
    }
    if (event.entity.health < 1000 && !event.entity.tags.contains("snk_blood_3")) {
        let positions = [
            { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 }
        ];
        let positions2 = [
            { x: 5, y: 5, z: 0 }, { x: -5, y: 5, z: 0 }
        ];
        let positions3 = [
            { x: 15, y: 5, z: 0 }, { x: -15, y: 5, z: 0 }, { x: 0, y: 5, z: 15 }, { x: 0, y: 5, z: -15 },
            { x: 15, y: 5, z: 15 }, { x: -15, y: 5, z: -15 }, { x: 15, y: 5, z: -15 }, { x: -15, y: 5, z: 15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:wadjet ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:kobolediator ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions3.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:koboleton ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_3');
    }
});
//先驱者
EntityEvents.spawned("cataclysm:the_harbinger", event => {
    const entity = event.entity
    entity.setMaxHealth(3000)
    entity.setHealth(9999)
});
EntityEvents.hurt("cataclysm:the_harbinger", event => {
    let uuid = event.entity.uuid;
    if (event.entity.health < 2000 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 }
        ];
        let positions2 = [
            { x: 15, y: 5, z: 15 }, { x: -15, y: 5, z: -15 }, { x: 15, y: 5, z: -15 }, { x: -15, y: 5, z: 15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:the_prowler ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:the_watcher ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_1');
    }
    if (event.entity.health < 1000 && !event.entity.tags.contains("snk_blood_2")) {
        let positions = [
            { x: 5, y: 5, z: 0 }, { x: -5, y: 5, z: 0 }, { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 },
        ];
        let positions2 = [
            { x: 15, y: 5, z: 0 }, { x: -15, y: 5, z: 0 }, { x: 0, y: 5, z: 15 }, { x: 0, y: 5, z: -15 },
            { x: 15, y: 5, z: 15 }, { x: -15, y: 5, z: -15 }, { x: 15, y: 5, z: -15 }, { x: -15, y: 5, z: 15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:the_prowler ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:the_watcher ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_2');
    }
});
//末影守卫
EntityEvents.spawned("cataclysm:ender_guardian", event => {
    const entity = event.entity
    entity.setMaxHealth(3000)
    entity.setHealth(9999)
});
EntityEvents.hurt("cataclysm:ender_guardian", event => {
    let uuid = event.entity.uuid;
    if (event.entity.health < 2000 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:ender_golem ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_1');
    }
    if (event.entity.health < 1000 && !event.entity.tags.contains("snk_blood_2")) {
        let positions = [
            { x: 5, y: 5, z: 0 }, { x: -5, y: 5, z: 0 }, { x: 0, y: 5, z: 5 }, { x: 0, y: 5, z: -5 },
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon cataclysm:ender_golem ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_2');
    }
});
//太阳鸟酋长
EntityEvents.spawned("mowziesmobs:umvuthi", event => {
    const entity = event.entity
    entity.setMaxHealth(1800)
    entity.setHealth(9999)
});
EntityEvents.hurt("mowziesmobs:umvuthi", event => {
    let uuid = event.entity.uuid;
    if (event.entity.health < 900 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: 15, y: 5, z: 0 }, { x: -15, y: 5, z: 0 }, { x: 0, y: 5, z: 15 }, { x: 0, y: 5, z: -15 },
        ];
        let positions2 = [
            { x: 15, y: 5, z: 15 }, { x: -15, y: 5, z: 15 }, { x: 15, y: 5, z: -15 }, { x: -15, y: 5, z: -15 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon mowziesmobs:umvuthana ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon mowziesmobs:umvuthana_crane ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_1');
    }
});
//祈灵师
EntityEvents.spawned("illagerinvasion:invoker", event => {
    const entity = event.entity
    entity.setMaxHealth(1000)
    entity.setHealth(9999)
});
EntityEvents.hurt("illagerinvasion:invoker", event => {
    let uuid = event.entity.uuid;
    if (event.entity.health < 500 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: 5, y: 1, z: 0 }, { x: -5, y: 1, z: 0 }, { x: 0, y: 1, z: 5 }, { x: 0, y: 1, z: -5 }
        ];
        let positions2 = [
            { x: 5, y: 1, z: 5 }, { x: -5, y: 1, z: 5 }, { x: 5, y: 1, z: -5 }, { x: -5, y: 1, z: -5 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon minecraft:evoker ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        positions2.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon illagerinvasion:illusioner ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_1');
    }
});

//无头骑士
EntityEvents.spawned("sleepy_hollows:horseman", event => {
    const entity = event.entity
    entity.setMaxHealth(2000)
    entity.setHealth(9999)
});
EntityEvents.hurt("sleepy_hollows:horseman", event => {
    let uuid = event.entity.uuid;
    if (event.entity.health < 1000 && !event.entity.tags.contains("snk_blood_1")) {
        let positions1 = [
            { x: 5, y: 1, z: 5 }, { x: -5, y: 1, z: 5 }, { x: 5, y: 1, z: -5 }, { x: -5, y: 1, z: -5 }
        ];
        positions1.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon born_in_chaos_v1:seared_spirit ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_1');
    }
});
//南瓜领主
EntityEvents.spawned("born_in_chaos_v1:lord_pumpkinhead", event => {
    const entity = event.entity
    entity.setMaxHealth(1200)
    entity.setHealth(9999)
});
EntityEvents.hurt("born_in_chaos_v1:lord_pumpkinhead", event => {
    let uuid = event.entity.uuid;
    if (event.entity.health < 600 && !event.entity.tags.contains("snk_blood_1")) {
        let positions = [
            { x: 5, y: 1, z: 0 }, { x: -5, y: 1, z: 0 }, { x: 0, y: 1, z: 5 }, { x: 0, y: 1, z: -5 }
        ];
        positions.forEach(pos => {
            event.server.runCommandSilent(`execute at ${uuid} run summon born_in_chaos_v1:seared_spirit ^${pos.x} ^${pos.y} ^${pos.z}`);
        });
        event.entity.addTag('snk_blood_1');
    }
});
//南瓜伯爵
EntityEvents.spawned("born_in_chaos_v1:sir_pumpkinhead", event => {
    const entity = event.entity
    entity.setMaxHealth(600)
    entity.setHealth(9999)
});

//下界铁掌
EntityEvents.spawned("bosses_of_mass_destruction:gauntlet", event => {
    const entity = event.entity
    entity.setMaxHealth(1000)
    entity.setHealth(9999)
});
//暗夜巫妖
EntityEvents.spawned("bosses_of_mass_destruction:lich", event => {
    const entity = event.entity
    entity.setMaxHealth(2200)
    entity.setHealth(9999)
});
//黑曜石柱
EntityEvents.spawned("bosses_of_mass_destruction:obsidilith", event => {
    const entity = event.entity
    entity.setMaxHealth(3500)
    entity.setHealth(9999)
});
//虚空之花
EntityEvents.spawned("bosses_of_mass_destruction:void_blossom", event => {
    const entity = event.entity
    entity.setMaxHealth(4000)
    entity.setHealth(9999)
});

//下界合金巨兽
EntityEvents.spawned("cataclysm:netherite_monstrosity", event => {
    const entity = event.entity
    entity.setMaxHealth(5000)
    entity.setHealth(9999)
});
//利维坦
EntityEvents.spawned("cataclysm:the_leviathan", event => {
    const entity = event.entity
    entity.setMaxHealth(800)
    entity.setHealth(9999)
});
//霜冻巨兽
EntityEvents.spawned("mowziesmobs:frostmaw", event => {
    const entity = event.entity
    entity.setMaxHealth(3000)
    entity.setHealth(9999)
});
//钢铁守护者
EntityEvents.spawned("mowziesmobs:ferrous_wroughtnaut", event => {
    const entity = event.entity
    entity.setMaxHealth(80)
    entity.setHealth(9999)
});

//监守者
EntityEvents.spawned("minecraft:warden", event => {
    const entity = event.entity
    entity.setMaxHealth(1200)
    entity.setHealth(9999)
});
//潜行者
EntityEvents.spawned("deeperdarker:stalker", event => {
    const entity = event.entity
    entity.setMaxHealth(1800)
    entity.setHealth(9999)
});

//遗弃者
EntityEvents.spawned("alexscaves:forsaken", event => {
    const entity = event.entity
    entity.setMaxHealth(1250)
    entity.setHealth(9999)
});

//暝煌龙
EntityEvents.spawned("alexscaves:luxtructosaurus", event => {
    const entity = event.entity
    entity.setMaxHealth(4000)
    entity.setHealth(9999)
});

