LootJS.modifiers(event => {

  event.addLootTypeModifier(LootType.BLOCK)
    .removeLoot("#snk:ban");
  event.addLootTypeModifier(LootType.CHEST)
    .removeLoot("#snk:ban");
  event.addLootTypeModifier(LootType.ENTITY)
    .removeLoot("#snk:ban");
});
ServerEvents.recipes(event => {
  event.remove({output : '#snk:ban'});
});

  //另外删除配方
const itemsToRemoveRecipesOnly = [
  "born_in_chaos_v1:infernal_evil_pumpkink",
  "born_in_chaos_v1:infernal_evil_pumpkin_k_2",
  "bettercopper:copper_heart",
  "cataclysm:bulwark_of_the_flame",
  "cataclysm:cursium_upgrade_smithing_template",
  "cataclysm:ignitium_upgrade_smithing_template",
  "cataclysm:smithing/cursium_boots",
  "cataclysm:smithing/cursium_chestplate",
  "cataclysm:smithing/cursium_helmet",
  "cataclysm:smithing/cursium_leggings",
  "cataclysm:smithing/ignitium_boots",
  "cataclysm:smithing/ignitium_chestplate",
  "cataclysm:smithing/ignitium_helmet",
  "cataclysm:smithing/ignitium_leggings",
  "cataclysm:soul_render",
  "cataclysm:the_annihilator",
  "cataclysm:the_incinerator",
  "deeperdarker:reinforced_echo_shard",
  "deeperdarker:resonarium_axe_smithing",
  "deeperdarker:resonarium_boots_smithing",
  "deeperdarker:resonarium_chestplate_smithing",
  "deeperdarker:resonarium_helmet_smithing",
  "deeperdarker:resonarium_hoe_smithing",
  "deeperdarker:resonarium_leggings_smithing",
  "deeperdarker:resonarium_pickaxe_smithing",
  "deeperdarker:resonarium_plate",
  "deeperdarker:resonarium_shovel_smithing",
  "deeperdarker:resonarium_sword_smithing",
  "deeperdarker:warden_axe_smithing",
  "deeperdarker:warden_boots_smithing",
  "deeperdarker:warden_chestplate_smithing",
  "deeperdarker:warden_helmet_smithing",
  "deeperdarker:warden_hoe_smithing",
  "deeperdarker:warden_leggings_smithing",
  "deeperdarker:warden_pickaxe_smithing",
  "deeperdarker:warden_shovel_smithing",
  "deeperdarker:warden_sword_smithing",
  "deeperdarker:warden_upgrade_smithing_template",
  "dungeonnowloading:life_stealer",
  "dungeonnowloading:scepter_of_sealed_chaos",
  "dungeonnowloading:soul_silk",
  "dungeonnowloading:spawner_boots",
  "dungeonnowloading:spawner_chestplate",
  "dungeonnowloading:spawner_helmet",
  "dungeonnowloading:spawner_leggings",
  "dungeonnowloading:spawner_sword",
  "farm_and_charm:beetroot_bag",
  "farm_and_charm:carrot_bag",
  "farm_and_charm:cooking_pot",
  "farm_and_charm:mincer/bacon",
  "farm_and_charm:mincer/chicken_parts",
  "farm_and_charm:mincer/cobblestone",
  "farm_and_charm:mincer/cobblestone",
  "farm_and_charm:mincer/diamond_from_horse_armor",
  "farm_and_charm:mincer/emerald_from_deepslate_emerald_ore",
  "farm_and_charm:mincer/emerald_from_emerald_ore",
  "farm_and_charm:mincer/gold_nugget_from_gold_ingot",
  "farm_and_charm:mincer/gold_nugget_from_horse_armor",
  "farm_and_charm:mincer/iron_nugget_from_horse_armor",
  "farm_and_charm:mincer/iron_nugget_from_iron_ingot",
  "farm_and_charm:mincer/lamb_ham",
  "farm_and_charm:mincer/lapis_from_deepslate_lapis_ore",
  "farm_and_charm:mincer/lapis_from_lapis_ore",
  "farm_and_charm:mincer/leather_from_horse_armor",
  "farm_and_charm:mincer/minced_beef",
  "farm_and_charm:mincer/pointed_dripstone",
  "farm_and_charm:mincer/raw_copper_from_copper_ingot",
  "farm_and_charm:mincer/raw_copper_from_copper_ingot",
  "farm_and_charm:mincer/raw_copper_from_copper_ore",
  "farm_and_charm:mincer/raw_copper_from_deepslate_copper_ore",
  "farm_and_charm:mincer/raw_gold_from_deepslate_gold_ore",
  "farm_and_charm:mincer/raw_gold_from_gold_ore",
  "farm_and_charm:mincer/raw_iron_from_deepslate_iron_ore",
  "farm_and_charm:mincer/raw_iron_from_iron_ore",
  "farm_and_charm:mincer/raw_pasta",
  "farm_and_charm:mincer/redstone_dust_from_deepslate_redstone_ore",
  "farm_and_charm:mincer/redstone_dust_from_redstone_ore",
  "farm_and_charm:mincer/stripped_acacia_log",
  "farm_and_charm:mincer/stripped_acacia_wood",
  "farm_and_charm:mincer/stripped_birch_log",
  "farm_and_charm:mincer/stripped_birch_wood",
  "farm_and_charm:mincer/stripped_cherry_log",
  "farm_and_charm:mincer/stripped_cherry_wood",
  "farm_and_charm:mincer/stripped_crimson_hyphae",
  "farm_and_charm:mincer/stripped_crimson_log",
  "farm_and_charm:mincer/stripped_dark_oak_log",
  "farm_and_charm:mincer/stripped_dark_oak_wood",
  "farm_and_charm:mincer/stripped_jungle_log",
  "farm_and_charm:mincer/stripped_jungle_wood",
  "farm_and_charm:mincer/stripped_mangrove_log",
  "farm_and_charm:mincer/stripped_mangrove_wood",
  "farm_and_charm:mincer/stripped_oak_log",
  "farm_and_charm:mincer/stripped_oak_wood",
  "farm_and_charm:mincer/stripped_spruce_log",
  "farm_and_charm:mincer/stripped_spruce_wood",
  "farm_and_charm:mincer/stripped_warped_hyphae",
  "farm_and_charm:mincer/stripped_warped_log",
  "farm_and_charm:potato_bag",
  "farmersdelight:basket",
  "farmersdelight:bread_from_smelting",
  "farmersdelight:bread_from_smoking",
  "farmersdelight:cake_from_milk_bottle",
  "farmersdelight:cooking/dog_food",
  "farmersdelight:cutting/amethyst_block",
  "farmersdelight:cutting/tag_dough",
  "farmersdelight:horse_feed",
  "farmersdelight:milk_bottle",
  "farmersdelight:scaffolding_from_canvas",
  "farmersdelight:stove",
  "farmersdelight:wheat_dough_from_eggs",
  "farmersdelight:wheat_dough_from_water",
  "l2complements:craft/sculkium_ingot",
  "l2complements:craft/trident",
  "l2complements:enchantments/cubic_digging",
  "l2complements:enchantments/cubic_eater",
  "l2complements:enchantments/cursed_blade",
  "l2complements:enchantments/dampened",
  "l2complements:enchantments/durable_armor_1",
  "l2complements:enchantments/durable_armor_2",
  "l2complements:enchantments/durable_armor_3",
  "l2complements:enchantments/ender_mask",
  "l2complements:enchantments/ender_reach",
  "l2complements:enchantments/environment_reject",
  "l2complements:enchantments/eternal",
  "l2complements:enchantments/explosion_reject",
  "l2complements:enchantments/fire_reject",
  "l2complements:enchantments/hardened",
  "l2complements:enchantments/ice_blade",
  "l2complements:enchantments/ice_thorn",
  "l2complements:enchantments/invincible",
  "l2complements:enchantments/life_mending",
  "l2complements:enchantments/life_sync",
  "l2complements:enchantments/magic_reject",
  "l2complements:enchantments/owner_protection",
  "l2complements:enchantments/plane_digging",
  "l2complements:enchantments/plane_eater",
  "l2complements:enchantments/projectile_reject",
  "l2complements:enchantments/safeguard",
  "l2complements:enchantments/sharp_blade",
  "l2complements:enchantments/shinny",
  "l2complements:enchantments/shulker_armor",
  "l2complements:enchantments/smelt",
  "l2complements:enchantments/snow_walker",
  "l2complements:enchantments/soul_bound",
  "l2complements:enchantments/soul_flame_blade",
  "l2complements:enchantments/soul_flame_thorn",
  "l2complements:enchantments/stable_body",
  "l2complements:enchantments/tree_chopping",
  "l2complements:enchantments/vien_mining",
  "l2complements:enchantments/void_touch",
  "l2complements:enchantments/wind_sweep",
  "l2complements:generated_tools/poseidite/craft/poseidite_axe",
  "l2complements:generated_tools/poseidite/craft/poseidite_boots",
  "l2complements:generated_tools/poseidite/craft/poseidite_chestplate",
  "l2complements:generated_tools/poseidite/craft/poseidite_helmet",
  "l2complements:generated_tools/poseidite/craft/poseidite_hoe",
  "l2complements:generated_tools/poseidite/craft/poseidite_leggings",
  "l2complements:generated_tools/poseidite/craft/poseidite_pickaxe",
  "l2complements:generated_tools/poseidite/craft/poseidite_shovel",
  "l2complements:generated_tools/poseidite/craft/poseidite_sword",
  "l2complements:generated_tools/sculkium/craft/sculkium_axe",
  "l2complements:generated_tools/sculkium/craft/sculkium_boots",
  "l2complements:generated_tools/sculkium/craft/sculkium_chestplate",
  "l2complements:generated_tools/sculkium/craft/sculkium_helmet",
  "l2complements:generated_tools/sculkium/craft/sculkium_hoe",
  "l2complements:generated_tools/sculkium/craft/sculkium_leggings",
  "l2complements:generated_tools/sculkium/craft/sculkium_pickaxe",
  "l2complements:generated_tools/sculkium/craft/sculkium_shovel",
  "l2complements:generated_tools/sculkium/craft/sculkium_sword",
  "l2complements:generated_tools/totemic_gold/craft/totemic_gold_boots",
  "l2complements:generated_tools/totemic_gold/craft/totemic_gold_chestplate",
  "l2complements:generated_tools/totemic_gold/craft/totemic_gold_helmet",
  "l2complements:generated_tools/totemic_gold/craft/totemic_gold_leggings",
  "l2complements:generated_tools/totemic_gold/upgrade/totemic_gold_axe",
  "l2complements:generated_tools/totemic_gold/upgrade/totemic_gold_boots",
  "l2complements:generated_tools/totemic_gold/upgrade/totemic_gold_chestplate",
  "l2complements:generated_tools/totemic_gold/upgrade/totemic_gold_helmet",
  "l2complements:generated_tools/totemic_gold/upgrade/totemic_gold_hoe",
  "l2complements:generated_tools/totemic_gold/upgrade/totemic_gold_leggings",
  "l2complements:generated_tools/totemic_gold/upgrade/totemic_gold_pickaxe",
  "l2complements:generated_tools/totemic_gold/upgrade/totemic_gold_shovel",
  "l2complements:generated_tools/totemic_gold/upgrade/totemic_gold_sword",
  "minecolonies:apple_pie",
  "minecolonies:baked_cake_campfire_cooking",
  "minecolonies:baked_cake_smoking",
  "minecolonies:baked_cake",
  "minecolonies:baked_cookies_campfire_cooking",
  "minecolonies:baked_cookies_smoking",
  "minecolonies:baked_cookies",
  "minecolonies:baked_manchet_bread_campfire_cooking",
  "minecolonies:baked_manchet_bread_smoking",
  "minecolonies:baked_manchet_bread",
  "minecolonies:baked_muffin_campfire_cooking",
  "minecolonies:baked_muffin_smoking",
  "minecolonies:baked_muffin",
  "minecolonies:baked_pumpkin_pie_campfire_cooking",
  "minecolonies:baked_pumpkin_pie_smoking",
  "minecolonies:baked_pumpkin_pie",
  "minecolonies:baked_salmon",
  "minecolonies:butter",
  "minecolonies:cabochis",
  "minecolonies:cheddar_cheese",
  "minecolonies:cheese_pizza",
  "minecolonies:cheese_ravioli",
  "minecolonies:chicken_broth",
  "minecolonies:congee",
  "minecolonies:cooked_rice",
  "minecolonies:corn_chowder",
  "minecolonies:cornmeal",
  "minecolonies:cream_cheese",
  "minecolonies:eggdrop_soup",
  "minecolonies:feta_cheese",
  "minecolonies:fish_n_chips",
  "minecolonies:kebab",
  "minecolonies:kebab",
  "minecolonies:kimchi",
  "minecolonies:meat_ravioli",
  "minecolonies:mint_jelly",
  "minecolonies:mint_tea",
  "minecolonies:muffin",
  "minecolonies:mutton_dinner",
  "minecolonies:mutton_kebab",
  "minecolonies:pasta_plain",
  "minecolonies:pasta_tomato",
  "minecolonies:pea_soup",
  "minecolonies:pepper_hummus",
  "minecolonies:pierogi",
  "minecolonies:plain_cheesecake",
  "minecolonies:polenta",
  "minecolonies:potato_soup",
  "minecolonies:pottage",
  "minecolonies:raw_noodle",
  "minecolonies:rice_ball",
  "minecolonies:soy_butter",
  "minecolonies:soy_corn_chowder",
  "minecolonies:soy_cream_cheese",
  "minecolonies:soy_milk",
  "minecolonies:soy_pea_soup",
  "minecolonies:soy_yogurt",
  "minecolonies:soysauce",
  "minecolonies:spicy_grilled_chicken",
  "minecolonies:squash_soup",
  "minecolonies:tofu",
  "minecolonies:tortillas",
  "minecolonies:veggie_quiche",
  "minecolonies:veggie_ravioli",
  "minecolonies:veggie_soup",
  "minecolonies:yogurt_with_berries",
  "minecolonies:yogurt",
  "minecraft:amethyst_block",
  "minecraft:beetroot_soup",
  "minecraft:bread",
  "minecraft:cake",
  "minecraft:cookie",
  "minecraft:mushroom_stew",
  "minecraft:packed_mud",
  "minecraft:paper",
  "minecraft:rabbit_stew",
  "minecraft:scaffolding",
  "minecraft:stick_from_bamboo_item",
  "musketmod:blunderbuss",
  "musketmod:cartridge",
  "musketmod:musket",
  "musketmod:pistol",
  "mynethersdelight:cooking/burn_roll",
  "mynethersdelight:cooking/chilidog",
  "mynethersdelight:cooking/fried_hoglin_chop",
  "mynethersdelight:cooking/sausage_and_potatoes",
  "mynethersdelight:cooking/spicy_curry",
  "mynethersdelight:crafting/breakfast_sampler",
  "mynethersdelight:crafting/burnt_roll",
  "mynethersdelight:crafting/ghast_dough",
  "mynethersdelight:crafting/ghast_salad",
  "mynethersdelight:crafting/rock_soup",
  "mynethersdelight:crafting/striderloaf",
  "mynethersdelight:cutting/hoglin_sausage",
  "quark:tweaks/crafting/utility/bent/bread",
  "quark:tweaks/crafting/utility/bent/cookie",
  "twilightforest:uncrafting_table",
  "untitledduckmod:crafting_shaped/duck_cake",
  "untitledduckmod:crafting_shaped/goose_cake",
  "untitledduckmod:crafting_shaped/pumpkin_pie",
];

//删除指定MOD的所有物品配方
const modsToRemoveRecipes = [
  'bagofholding',
  'additionaladditions',
  'bountiful',
  'immersive_armors',
  'recruits',
  'shieldexp',
  'toms_storage',
  'waystones',
];

function removeRecipes(serverEvent) {

  itemsToRemoveRecipesOnly.forEach(id => {
      serverEvent.remove({ id: id });
  });

  modsToRemoveRecipes.forEach(mod => {
      serverEvent.remove({ mod: mod });
  });
}

ServerEvents.recipes(removeRecipes);