ItemEvents.foodEaten(event => {
  if (!event.player) return
  let player = event.player
  //根据饥饿度提高饱腹持续时间
  let nutrition = event.item.item.foodProperties.nutrition
  let satiationEffect = player.getEffect("farm_and_charm:satiation")
  let satiationTotal = satiationEffect ? satiationEffect.duration : 0
  let satiationTime = nutrition * 1200 + satiationTotal
  player.potionEffects.add("farm_and_charm:satiation", satiationTime, 0, false, true)

  //根据饱和度提高美餐持续时间
  let saturation = event.item.item.foodProperties.saturationModifier * nutrition * 2
  let sustenanceEffect = player.getEffect("farm_and_charm:sustenance")
  let sustenanceTotal = sustenanceEffect ? sustenanceEffect.duration : 0
  let sustenanceTime = saturation * 1200 + sustenanceTotal
  if (sustenanceTime >= 72000) {
    player.potionEffects.add("farm_and_charm:sustenance", 72000, 0, false, true)
    player.tell("§c美餐状态已满")
    return
  }
  player.potionEffects.add("farm_and_charm:sustenance", sustenanceTime, 0, false, true)
})
//禁止吃
ItemEvents.rightClicked(event => {
  let player = event.player
  let item = event.item
  //检测是否存在饥饿度属性判断是否为食物
  if (item.item.foodProperties && item.item.foodProperties.nutrition) {
    let nutrition = item.item.foodProperties.nutrition
    let satiationEffect = player.getEffect("farm_and_charm:satiation")
    let currentDuration = satiationEffect ? satiationEffect.duration : 0
    let newDuration = currentDuration + nutrition * 1200
    if (newDuration >= 72000) {
      event.server.runCommandSilent(`title ${player.name.string} title {"text":"§c你太饱了"}`)
      event.server.runCommandSilent(`title ${player.name.string} subtitle {"text":"§c无法吃下食物"}`)
      player.tell("§c饱腹状态已满，无法继续进食！")
      event.cancel()
    }
  }
})