ItemEvents.tooltip((event) => {
    event.add('minecraft:amethyst_shard', [
        Text.of("可在任务页面用于建材交易").gray(),
        Text.of("可在募兵站用于雇佣").gray()
    ])
    event.add('waystones:warp_stone', [
        Text.of("手持右键长按传送到选定的指路石").yellow(),
        Text.of("使用传送石传送后，可以获得一枚返程石").yellow()
    ])
    event.add('cataclysm:black_steel_ingot', [
        Text.of("也可在某些结构大量获得").gray()
    ])
    event.add([
        'additionaladditions:rose_gold_sword',
        'additionaladditions:rose_gold_axe',
        'additionaladditions:rose_gold_pickaxe',
        'additionaladditions:rose_gold_shovel',
        'additionaladditions:rose_gold_hoe',
        'additionaladditions:rose_gold_boots',
        'additionaladditions:rose_gold_leggings',
        'additionaladditions:rose_gold_chestplate',
        'additionaladditions:rose_gold_helmet',
    ],
        Text.of("可用铜修理").gray())
    event.add([
        'farm_and_charm:wild_nettle',
        'farm_and_charm:wild_ribwort',
    ],
        Text.of("炖煮后可用于治疗生病的市民").gray())
    event.add('quark:backpack',
        Text.of("背包内有物品时无法卸下装备").gray())
    event.add('aquamirae:fin',
        Text.of("可用于制作恐怖套装").gray())
    event.add([
        'musketmod:pistol',
        'musketmod:blunderbuss',
        'musketmod:musket',
    ], [
        Text.of("可装备于持弩的士兵").gray(),
        Text.of("但是持有枪械的士兵需要消耗子弹射击").gray()
    ])
    event.addAdvanced("snk:wood", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看作用 -"))
        if (event.shift) {
            text.add(2, Text.white("可以视为原木参与合成配方"))
            text.add(3, Text.white("可以在工作台制作为木板资源"))
            text.add(4, Text.white("可以在工作台制作为燃料资源"))
            text.add(5, Text.white("可以更快的烧制为木炭"))
            text.add(6, Text.white("可以在切石机制作各类原木"))
            text.add(7, Text.white("多数工匠可以直接加工它"))
        }
    })
    event.addAdvanced("snk:board", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看作用 -"))
        if (event.shift) {
            text.add(2, Text.white("可以视为木板参与合成配方"))
            text.add(3, Text.white("可以在切石机制作各类木制建材"))
            text.add(4, Text.white("多数工匠可以直接加工它"))
            text.add(5, Text.white("木匠使用它可以合成几乎所有木制品"))
        }
    })
    event.addAdvanced("snk:stone", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看作用 -"))
        if (event.shift) {
            text.add(2, Text.white("可以视为圆石参与合成配方"))
            text.add(3, Text.white("可以更快的烧制为石材资源"))
            text.add(4, Text.white("可以在切石机制作各类石制建材"))
            text.add(5, Text.white("可以更快的烧制为木炭"))
            text.add(6, Text.white("多数工匠可以直接加工它"))
            text.add(7, Text.white("石匠使用它可以合成几乎所有石制品"))
            text.add(8, Text.white("粉碎工可以将其加工为沙砾资源"))
        }
    })
    event.addAdvanced("snk:rock", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看作用 -"))
        if (event.shift) {
            text.add(2, Text.white("可以在切石机制作各类石头和石砖建材"))
            text.add(3, Text.white("石匠可以直接加工它"))
        }
    })
    event.addAdvanced("snk:soil", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看作用 -"))
        if (event.shift) {
            text.add(2, Text.white("可以在切石机制作各类泥土相关建材"))
            text.add(3, Text.white("部分材料免除精确采集和特殊合成需求"))
            text.add(4, Text.white("建筑工可以直接加工它"))
        }
    })
    event.addAdvanced("snk:gravel", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看作用 -"))
        if (event.shift) {
            text.add(2, Text.white("可以在切石机制作沙子，红沙，沙砾"))
            text.add(3, Text.white("可以更快的烧制为玻璃"))
            text.add(4, Text.white("砂岩类建材也会掉落此物"))
            text.add(5, Text.white("石匠和建筑工可以直接加工合成砂岩"))
            text.add(6, Text.white("粉碎工可以将其加工为黏土块"))
        }
    })
    event.addAdvanced("snk:fuel", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看作用 -"))
        if (event.shift) {
            text.add(2, Text.white("可以由原木，原木资源，木炭，煤炭合成"))
            text.add(3, Text.white("燃烧价值等于煤炭"))
            text.add(4, Text.white("林务员可以使用原木资源合成它"))
            text.add(5, Text.white("推荐作为殖民地燃料使用"))
        }
    })
    event.addAdvanced("farmersdelight:tree_bark", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看作用 -"))
        if (event.shift) {
            text.add(2, Text.white("砍原木时25%概率掉落（不包括去皮原木）"))
            text.add(3, Text.white("可以合成纸"))
            text.add(4, Text.white("堆叠上限提高"))
            text.add(5, Text.white("木匠可以直接加工它"))
        }
    })
    event.addAdvanced("farmersdelight:straw", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看作用 -"))
        if (event.shift) {
            text.add(2, Text.white("可以合成粗布"))
            text.add(3, Text.white("粗布可以代替皮革参与配方"))
            text.add(4, Text.white("堆叠上限提高"))
        }
    })
    event.add('minecraft:clay_ball', [
        Text.of("可以更快的烧制为红砖").gray(),
        Text.of("堆叠上限提高").gray(),
    ])
    event.add('minecraft:sugar_cane', [
        Text.of("可以更廉价的制作纸").gray(),
    ])
    event.add('minecraft:clay', [
        Text.of("可以更快的烧制为陶瓦").gray(),
    ])
    event.add('minecraft:compass', [
        Text.of("右键市民获取市民当行为信息").gray(),
    ])
    event.add('minecraft:totem_of_undying', [
        Text.of("右键死去的市民墓碑概率复活市民").gray(),
        Text.of("概率受到殖民地幸福度和墓地等级影响").gray(),
    ])

    event.addAdvanced("minecolonies:blockhutwarehouse", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看提示 -"))
        if (event.shift) {
            text.add(2, Text.white("仓库可以安装合成面板方便访问库存，还能安装信标升级远程访问"))
            text.add(3, Text.white("处于剑与王国·特殊建筑风格内的简易储存仓库留下了合成面板以及安装信标的位置"))
            text.add(4, Text.white("虽然有已经改造的蓝图，你也能使用其他风格手动改造让仓库可以利用简易储存MOD的物品"))
        }
    })
    event.addAdvanced("minecolonies:blockhutkitchen", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看提示 -"))
        if (event.shift) {
            text.add(2, Text.white("厨房可以手动添加农夫乐事和沉浸农艺的厨具，解锁厨师使用对应合成"))
            text.add(3, Text.white("处于剑与王国·特殊建筑风格内的美食小镇蓝图已经预设了对应工作方块"))
            text.add(4, Text.white("虽然有已经改造的蓝图，你也能使用其他风格手动改造"))
        }
    })
    event.addAdvanced("additionaladditions:rose_gold_alloy", (item, advanced, text) => {
        text.clear()
        text.add(0, Text.yellow("玫瑰金"))
        text.add(1, Text.white("可用于铜质和金质物品的升级"))
        text.add(2, Text.gray("玫瑰金物品使用铜锭即可修理"))
    })
    event.addAdvanced("musketmod:musket_upgrade_smithing_template", (item, advanced, text) => {
        text.clear()
        text.add(0, Text.yellow("钢铁锻造模版"))
        text.add(1, Text.white("钢铁升级"))
        text.add(2, Text.white("制作成本低廉"))
        text.add(3, Text.gray("- 按§2Shift§r查看可升级装备 -"))
        if (event.shift) {
            text.add(4, "————————————————————")
            text.add(5, Text.green("火枪与弩"))
            text.add(6, Text.green("铁制工具"))
            text.add(7, Text.green("皮革盔甲"))
            text.add(8, Text.green("骨头盔甲"))
            text.add(9, Text.green("锁链盔甲"))
            text.add(10, Text.green("铁质盔甲"))
        }
    })
    event.addAdvanced("additionaladditions:rose_gold_upgrade", (item, advanced, text) => {
        text.clear()
        text.add(0, Text.yellow("玫瑰金锻造模版"))
        text.add(1, Text.white("玫瑰金升级"))
        text.add(2, Text.white("制作成本低廉"))
        text.add(3, Text.gray("- 按§2Shift§r查看可升级装备 -"))
        if (event.shift) {
            text.add(4, "————————————————————")
            text.add(5, Text.green("铜制工具"))
            text.add(6, Text.green("金制工具"))
            text.add(7, Text.green("铜制盔甲"))
            text.add(8, Text.green("金制盔甲→玫瑰金甲"))
            text.add(9, Text.green("金制盔甲→神圣甲"))
        }
    })
    event.addAdvanced("additionaladditions:gilded_netherite_upgrade", (item, advanced, text) => {
        text.clear()
        text.add(0, Text.gold("独特盔甲锻造模版"))
        text.add(1, Text.white("独特升级"))
        text.add(2, Text.gray("- 按§2Shift§r查看可升级装备 -"))
        if (event.shift) {
            text.add(3, "————————————————————")
            text.add(4, Text.green("铜制盔甲→蒸气朋克盔甲"))
            text.add(5, Text.green("战士盔甲→沉重盔甲"))
            text.add(6, Text.green("恐怖盔甲→海晶盔甲→海神盔甲"))
            text.add(7, Text.green("钻石盔甲→刷怪笼甲"))
            text.add(8, Text.green("下界合金甲→耀眼深海甲"))
        }
    })
    event.addAdvanced("simplyswords:runic_tablet", (item, advanced, text) => {
        text.clear()
        text.add(0, Text.gold("符文石板"))
        text.add(1, Text.white("可用于制作独特武器"))
        text.add(2, Text.white("可用于修复符文武器"))
        text.add(3, Text.white("可以进行符文升级以及独特武器升级"))
        text.add(4, Text.gray("- 按§2Shift§r查看可升级装备 -"))
        if (event.shift) {
            text.add(5, "————————————————————")
            text.add(6, Text.green("下界合金武器→符文武器"))
            text.add(7, Text.green("钻石工具→海神工具"))
            text.add(8, Text.green("钻石镰刀→噬魂者"))
            text.add(9, Text.green("钻石剑→刷怪笼剑"))
            text.add(10, Text.green("下界合金矛→深海的低语"))
            text.add(11, Text.green("下界合金剑→斩断者"))
            text.add(12, Text.green("下界合金环刃→迷阵玫瑰"))
        }
    })

    event.add([
        "farmersdelight:tomato_seeds",
    ], [
        Text.of("此作物无法由农民自动更替").white(),
        Text.of("更换作物时需手动拆除根茎").white(),
    ])
    event.add([
        "farmersdelight:rice",
    ], [
        Text.of("稻米需由林务站的果园工人收割").white(),
    ])
})
