ItemEvents.modification(event => {
    //生命提升（谷物，主食）
    event.modify([
        "farm_and_charm:farmers_bread",
        "farm_and_charm:oatmeal_with_strawberries",
        "farmersdelight:cooked_rice",
        "minecraft:bread",
        "rusticdelight:cherry_blossom_pancake",
        "rusticdelight:chocolate_pancake",
        "rusticdelight:fried_dough",
        "rusticdelight:honey_pancake",
        "rusticdelight:pancake",
        "rusticdelight:pumpkin_pancake",
        "rusticdelight:vegetable_pancake",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:health_boost", 30 * 1200, 1, 1)
        }
    })
    event.modify([
        "farm_and_charm:barley_patties_with_potatoes",
        "farm_and_charm:barley_soup",
        "farm_and_charm:corn_grits",
        "farm_and_charm:grandmothers_strawberry_cake",
        "farm_and_charm:lamb_with_corn",
        "farm_and_charm:oat_pancake",
        "farm_and_charm:onion_soup",
        "farm_and_charm:pasta_with_onion_sauce",
        "farm_and_charm:roasted_corn",
        "farmersdelight:cod_roll",
        "farmersdelight:dumplings",
        "farmersdelight:kelp_roll_slice",
        "farmersdelight:salmon_roll",
        "rusticdelight:bell_pepper_roll_green",
        "rusticdelight:bell_pepper_roll_red",
        "rusticdelight:bell_pepper_roll_yellow",
        "rusticdelight:calamari_roll",
        "rusticdelight:cherry_blossom_roll",
        "mynethersdelight:hotdog",
        "mynethersdelight:chilidog",
        "rusticdelight:fruit_beignet",
        "rusticdelight:syrup_sandwich",
        "rusticdelight:spring_rolls",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:health_boost", 30 * 1200, 3, 1)
        }
    })
    event.modify([
        "farm_and_charm:farmers_breakfast",
        "farmersdelight:bacon_sandwich",
        "farmersdelight:chicken_sandwich",
        "farmersdelight:egg_sandwich",
        "farmersdelight:fried_rice",
        "farmersdelight:hamburger",
        "farmersdelight:honey_glazed_ham",
        "farmersdelight:kelp_roll",
        "farmersdelight:mushroom_rice",
        "farmersdelight:mutton_wrap",
        "farmersdelight:noodle_soup",
        "farmersdelight:pasta_with_meatballs",
        "farmersdelight:pasta_with_mutton_chop",
        "farmersdelight:roasted_mutton_chops",
        "farmersdelight:squid_ink_pasta",
        "farmersdelight:steak_and_potatoes",
        "farmersdelight:vegetable_noodles",
        "mynethersdelight:breakfast_sampler",
        "mynethersdelight:plate_of_ghasta_with_cream",
        "mynethersdelight:spicy_curry",
        "rusticdelight:bell_pepper_pasta",
        "rusticdelight:fried_dumplings",
        "rusticdelight:stuffed_bell_pepper_green",
        "rusticdelight:stuffed_bell_pepper_red",
        "rusticdelight:stuffed_bell_pepper_yellow",
        "spawn:tuna_sandwich",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:health_boost", 30 * 1200, 5, 1)
        }
    })

    //伤害吸收（苹果，萝卜，甜菜，番茄，卷心菜，生菜，洋葱，大蒜）
    event.modify([
        "farm_and_charm:lettuce",
        "farm_and_charm:nettle_tea",
        "farm_and_charm:ribwort_tea",
        "farmersdelight:cabbage",
        "farmersdelight:nether_salad",
        "farmersdelight:tomato",
        "minecraft:apple",
        "minecraft:beetroot",
        "minecraft:carrot",
        "minecraft:golden_carrot",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:absorption", 30 * 1200, 3, 1)
        }
    })
    event.modify([
        "farm_and_charm:farmer_salad",
        "farm_and_charm:goulash",
        "farm_and_charm:onion_soup",
        "farm_and_charm:pasta_with_onion_sauce",
        "farm_and_charm:potato_soup",
        "farm_and_charm:simple_tomato_soup",
        "farmersdelight:cabbage_rolls",
        "farmersdelight:fried_rice",
        "farmersdelight:mixed_salad",
        "farmersdelight:ratatouille",
        "farmersdelight:vegetable_noodles",
        "minecraft:beetroot_soup",
        "minecraft:golden_apple",
        "rusticdelight:fried_mushrooms",
        "rusticdelight:spring_rolls",
        "rusticdelight:vegetable_pancake",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:absorption", 30 * 1200, 7, 1)
        }
    })
    event.modify([
        "farm_and_charm:beef_patty_with_vegetables",
        "farmersdelight:vegetable_soup",
        "minecraft:enchanted_golden_apple",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:absorption", 30 * 1200, 12, 1)
        }
    })

    //抗性提升（南瓜，土豆，甜椒，蘑菇）
    event.modify([
        "farmersdelight:mushroom_rice",
        "farmersdelight:pumpkin_slice",
        "minecraft:baked_potato",
        "minecraft:mushroom_stew",
        "mynethersdelight:spicy_hoglin_stew",
        "rusticdelight:bell_pepper_green",
        "rusticdelight:bell_pepper_red",
        "rusticdelight:bell_pepper_roll_green",
        "rusticdelight:bell_pepper_roll_red",
        "rusticdelight:bell_pepper_roll_yellow",
        "rusticdelight:bell_pepper_yellow",
        "rusticdelight:fried_mushrooms",
        "rusticdelight:pumpkin_pancake",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:resistance", 10 * 1200, 0, 1)
        }
    })
    event.modify([
        "farm_and_charm:barley_patties_with_potatoes",
        "farm_and_charm:goulash",
        "farm_and_charm:potato_soup",
        "farm_and_charm:potato_with_roast_meat",
        "farmersdelight:baked_cod_stew",
        "farmersdelight:pumpkin_soup",
        "farmersdelight:steak_and_potatoes",
        "farmersdelight:stuffed_potato",
        "mynethersdelight:sausage_and_potatoes",
        "mynethersdelight:sausage_and_potatoes",
        "rusticdelight:bell_pepper_pasta",
        "rusticdelight:bell_pepper_soup",
        "rusticdelight:potato_salad",
        "rusticdelight:stuffed_bell_pepper_green",
        "rusticdelight:stuffed_bell_pepper_red",
        "rusticdelight:stuffed_bell_pepper_yellow",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:resistance", 20 * 1200, 0, 1)
        }
    })
    event.modify([
        "farmersdelight:stuffed_pumpkin",
        "mynethersdelight:ghast_salad",
        "mynethersdelight:spicy_noodle_soup",
        "mynethersdelight:spicy_cotton",
        "mynethersdelight:plate_of_ghasta_with_cream",
        "mynethersdelight:spicy_curry",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:resistance", 30 * 1200, 1, 1)
        }
    })

    //力量（兽肉）
    event.modify([
        "minecraft:cooked_beef",
        "minecraft:cooked_mutton",
        "minecraft:cooked_porkchop",
        "mynethersdelight:cooked_loin",
        "mynethersdelight:plate_of_cold_striderloaf",
        "mynethersdelight:spicy_skewer",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:strength", 10 * 1200, 0, 1)
        }
    })
    event.modify([
        "farm_and_charm:bacon_with_eggs",
        "farm_and_charm:baked_lamb_ham",
        "farm_and_charm:beef_patty_with_vegetables",
        "farm_and_charm:chicken_wrapped_in_bacon",
        "farm_and_charm:farmers_breakfast",
        "farm_and_charm:goulash",
        "farm_and_charm:lamb_with_corn",
        "farm_and_charm:potato_with_roast_meat",
        "farm_and_charm:sausage_with_oat_patty",
        "farmersdelight:bacon_and_eggs",
        "farmersdelight:bacon_sandwich",
        "farmersdelight:barbecue_stick",
        "farmersdelight:beef_stew",
        "farmersdelight:hamburger",
        "farmersdelight:mutton_wrap",
        "farmersdelight:noodle_soup",
        "farmersdelight:pasta_with_meatballs",
        "farmersdelight:pasta_with_mutton_chop",
        "farmersdelight:roasted_mutton_chops",
        "farmersdelight:smoked_ham",
        "farmersdelight:stuffed_potato",
        "mynethersdelight:bleeding_tartar",
        "mynethersdelight:blue_tenderloin_steak",
        "mynethersdelight:breakfast_sampler",
        "mynethersdelight:burnt_roll",
        "mynethersdelight:chilidog",
        "mynethersdelight:crimson_stroganoff",
        "mynethersdelight:fried_hoglin_chop",
        "mynethersdelight:hotdog",
        "mynethersdelight:sausage_and_potatoes",
        "mynethersdelight:spicy_hoglin_stew",
        "mynethersdelight:spicy_noodle_soup",
        "mynethersdelight:strider_stew",
        "mynethersdelight:strider_with_grilled_fungus",
        "rusticdelight:coffee_braised_beef",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:strength", 20 * 1200, 0, 1)
        }
    })
    event.modify([
        "farmersdelight:shepherds_pie",
        "farmersdelight:honey_glazed_ham",
        "mynethersdelight:plate_of_stuffed_hoglin_snout",
        "mynethersdelight:plate_of_stuffed_hoglin_ham",
        "mynethersdelight:plate_of_stuffed_hoglin",
        "mynethersdelight:plate_of_striderloaf",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:strength", 30 * 1200, 1, 1)
        }
    })
    //稳定（禽肉，兔肉）
    event.modify([
        "minecraft:cooked_chicken",
        "minecraft:cooked_rabbit",
        "untitledduckmod:cooked_duck",
        "untitledduckmod:cooked_goose",
    ], item => {
        item.foodProperties = food => {
            food.effect("quark:resilience", 30 * 1200, 1, 1)
        }
    })
    event.modify([
        "farm_and_charm:chicken_wrapped_in_bacon",
        "farm_and_charm:roasted_chicken",
        "farm_and_charm:stuffed_chicken",
        "farm_and_charm:stuffed_rabbit",
        "farmersdelight:chicken_sandwich",
        "farmersdelight:chicken_soup",
        "minecraft:rabbit_stew",
        "mynethersdelight:hot_wings",
        "rusticdelight:fried_chicken",
    ], item => {
        item.foodProperties = food => {
            food.effect("quark:resilience", 30 * 1200, 3, 1)
        }
    })
    event.modify([
        "farmersdelight:roast_chicken",
        "mynethersdelight:hot_wings_bucket",
    ], item => {
        item.foodProperties = food => {
            food.effect("quark:resilience", 30 * 1200, 5, 1)
        }
    })
    //经验（鱼肉，蛋，奶）
    event.modify([
        "farmersdelight:cod_roll",
        "farmersdelight:fried_egg",
        "farmersdelight:salmon_roll",
        "minecraft:cooked_cod",
        "minecraft:cooked_salmon",
        "mynethersdelight:bleeding_tartar",
        "mynethersdelight:boiled_egg",
        "mynethersdelight:deviled_egg",
        "mynethersdelight:spicy_noodle_soup",
        "mynethersdelight:strider_egg",
        "quark:cooked_crab_leg",
        "rusticdelight:calamari_roll",
    ], item => {
        item.foodProperties = food => {
            food.effect("farm_and_charm:rested", 10 * 1200, 0, 1)
        }
    })
    event.modify([
        "farm_and_charm:bacon_with_eggs",
        "farm_and_charm:barley_soup",
        "farm_and_charm:cooked_cod",
        "farm_and_charm:cooked_salmon",
        "farm_and_charm:farmers_breakfast",
        "farm_and_charm:grandmothers_strawberry_cake",
        "farmersdelight:baked_cod_stew",
        "farmersdelight:egg_sandwich",
        "farmersdelight:fish_stew",
        "farmersdelight:grilled_salmon",
        "farmersdelight:kelp_roll_slice",
        "farmersdelight:noodle_soup",
        "farmersdelight:squid_ink_pasta",
        "mynethersdelight:breakfast_sampler",
        "mynethersdelight:fried_hoglin_chop",
        "spawn:cooked_tuna_chunk",
    ], item => {
        item.foodProperties = food => {
            food.effect("farm_and_charm:rested", 20 * 1200, 0, 1)
        }
    })
    event.modify([
        "farmersdelight:glow_berry_custard",
        "farmersdelight:kelp_roll",
        "mynethersdelight:crimson_stroganoff",
        "mynethersdelight:rock_soup",
        "rusticdelight:fried_calamari",
        "spawn:tuna_sandwich",
    ], item => {
        item.foodProperties = food => {
            food.effect("farm_and_charm:rested", 30 * 1200, 0, 1)
        }
    })

    //高速再生（草莓，西瓜，甜浆果，发光浆果）
    event.modify([
        "farm_and_charm:strawberry",
        "minecraft:glow_berries",
        "minecraft:melon_slice",
        "minecraft:sweet_berries",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:regeneration", 40, 0, 1)
        }
    })
    event.modify([
        "farmersdelight:melon_popsicle",
        "farm_and_charm:grandmothers_strawberry_cake",
        "farm_and_charm:strawberry_tea",
        "farm_and_charm:oatmeal_with_strawberries",
        "rusticdelight:fruit_beignet",
        "rusticdelight:syrup_sandwich",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:regeneration", 40, 1, 1)
        }
    })
    event.modify([
        "farm_and_charm:farmer_salad",
        "farmersdelight:glow_berry_custard",
        "farmersdelight:fruit_salad",
        "rusticdelight:sweet_salad",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:regeneration", 40, 2, 1)
        }
    })

    //加速（可可，咖啡）
    event.modify([
        "rusticdelight:coffee_braised_beef",
        "rusticdelight:honey_coffee",
        "rusticdelight:chocolate_pancake",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:speed", 30 * 1200, 2, 1)
        }
    })



    //抗火（辣椒）
    event.modify([
        "call_of_yucutan:chili_pepper",
        "mynethersdelight:fried_hoglin_chop",
        "mynethersdelight:deviled_egg",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:fire_resistance", 10 * 1200, 0, 1)
        }
    })
    event.modify([
        "mynethersdelight:bullet_pepper",
        "mynethersdelight:burnt_roll",
        "mynethersdelight:chilidog",
        "mynethersdelight:hot_wings_bucket",
        "mynethersdelight:hot_wings",
        "mynethersdelight:rock_soup",
        "mynethersdelight:spicy_cotton",
        "mynethersdelight:spicy_curry",
        "mynethersdelight:spicy_hoglin_stew",
        "mynethersdelight:spicy_skewer",
    ], item => {
        item.foodProperties = food => {
            food.effect("minecraft:fire_resistance", 30 * 1200, 0, 1)
        }
    })
})